.map {
    position: relative;
    width: 100%;
    max-width: 1110px;
    height: 565px;
    margin: 0 auto 36px;
    background-color: #C4C4C4;

    &:after {
        content: "";
        position: absolute;
        bottom: -17px;
        right: 0;
        left: 0;
        height: 17px;
        border-bottom: 1px solid #fff;
        pointer-events: none;

        @include lg {
            right: 20px;
            left: 20px;
            border-left: 1px solid #fff;
            border-right: 1px solid #fff;
            border-radius: 0 0 10px 10px;
        }
    }

    &__border {
        position: absolute;
        top: -39px;
        right: -16px;
        bottom: 0;
        left: -16px;
        overflow: hidden;
        pointer-events: none;

        svg {
            position: absolute;
            top: 0;
            left: 50%;
            width: 48px;
            height: 20px;
            transform: translateX(-50%);
            pointer-events: none;

            path {
                fill: #fff;
                transition: fill .3s ease;
            }
        }

        &:before, &:after {
            content: "";
            position: absolute;
            top: 19px;
            bottom: 11px;
            width: calc(50% - 10px);
            border: 1px solid #fff;
            pointer-events: none;
            z-index: -1;

            @include lg {
                width: calc(50% - 70px);
            }
        }

        &:before {
            left: -25px;
            border-right: none;
            border-radius: 10px 0 0 10px;

            @include lg {
                left: 35px;
            }
        }

        &:after {
            right: -25px;
            border-left: none;
            border-radius: 0 10px 10px 0;

            @include lg {
                right: 35px;
            }
        }
    }

    .js-map {
        height: 100%;
        border-radius: inherit;
    }

    @include lg {
        margin-bottom: 50px;
        border-radius: 10px;
    }
}
